The K2 blackpearl 4.6 Compatibility Matrix will assist in determining the Microsoft products and technologies as well as other third party software products required/supported for each K2 release as well as upgrade compatibility of those releases. The K2 blackpearl Compatibility Matrix empowers the organization to make an informed decision on the upgrade path required and potential pitfalls. Detailed information on individual K2 components and Microsoft products and technologies required/supported can be obtained from the K2 blackpearl Getting Started Guide Prerequisites section.

Not listed? Not supported.

Important! Important: This archive matrix refers to K2 blackpearl 4.6.11 and earlier releases. For information on the current version compatibility, see the K2 blackpearl and K2 smartforms: Product Compatibility, Integration and Support matrix.

Looking for more information about the K2 Mobile applications? Check out the K2 Mobile page.

Looking to download the software? Check out the K2 blackpearl downloads page on the K2 Partner and Customer Portal.

Microsoft Product Support Plan

K2 will plan to support Microsoft products, service packs and cumulative updates per the following guidelines:

  • New major versions of Microsoft products that are released during an existing K2 release cycle will not be targeted for support until the following release cycle.
  • The latest released K2 update will support the latest service packs, cumulative updates, and update rollups for supported Microsoft products at the time of the Microsoft release date.
  • The most recently released version of a Microsoft product and at least one older version will be supported. When possible, K2 will support more versions but may drop support for older Microsoft versions at the release of a K2 update.
  • K2 releases will continue to support the Microsoft products supported at the time of the K2 release. Core Microsoft product (such as OS or SharePoint) support deprecation will only occur with K2 minor or major releases.
  • K2 releases may require a dependency on the latest .NET Framework or Visual Studio release. In this case, regardless of Microsoft availability timeline, K2 will only support the latest .NET Framework or Visual Studio release.
  • K2 will continue to support environments with Microsoft products that are no longer supported by Microsoft when possible. If any issues are found that require Microsoft involvement, K2 will not be able to address the issue and may require you to move to the latest supported Microsoft product. This may also require you to move to the latest K2 release.

For more information about K2 product releases, see the K2 Release Strategy article.

Top
Third-Party Integration Support Plan

K2 will plan to support third-party API integration per the following guidelines:

  • K2 tests our integration with the third-party API version available at the beginning of our testing cycle. These API versions are listed in the compatibility matrix.
  • As long as the third-party vendor maintains backwards compatibility with the APIs and integration points K2 uses, minor releases (such as service packs, cumulative updates, or patches) of third-party products are supported.
  • If the third-party vendor makes a breaking change to an integration point with K2, we will react to that change through our normal support channels and update cycles.
  • New major versions of third-party APIs that are released during an existing K2 release cycle will be evaluated during the following release cycle for future support.

For more information about K2 product releases, see the K2 Release Strategy article.

Top
Bill of Materials1
K2 blackpearl Version Build Number Release Notes
4.6.11 (4.12060.1731.2) KB001735 - K2 4.6.11 Release Notes
4.6.10 (4.12060.1690.2) KB001700 - K2 4.6.10 (4.12060.1690.2) Release Notes
4.6.9 (4.12060.1640.1) KB001640 - K2 4.6.9 (4.12060.1640.1) Release Notes
4.6.8 (4.12060.1600.0) KB001600 – K2 4.6.8 (4.12060.1600.0) Release Notes
4.6.7 (4.12060.1590.0) KB001590 – K2 4.6.7 (4.12060.1590.0) Release Notes
4.6.6 (4.12060.1560.0) KB001560 – K2 4.6.6 (4.12060.1560.0) Release Notes
4.6.5 (4.12060.1550.0) KB001550 – K2 4.6.5 (4.12060.1550.0) Release Notes
4.6.4 (4.12060.1540.0) KB001540 – K2 4.6.4 (4.12060.1540.0) Release Notes
4.6.3 (4.12060.1530.0) KB001530 - K2 4.6.3 (4.12060.1530.0) Release Notes
4.6.2 (4.12060.1520.0) KB001520 - K2 4.6.2 (4.12060.1520.0) Release Notes
4.6.1 (4.12060.1500.0) KB001500 - K2 4.6.1 (4.12060.1500.0) Release Notes
4.6 (4.12060.1.0) KB001450 - K2 4.6 (4.12060.1.0) Release Notes
1 Bill of Materials provides a high level list of new features/functionality with each release
See K2 Product Releases and Build Numbers (KB001421) for a complete list of K2 releases.
Top
Release Upgrade Compatibility
Currently Installed K2 Product Targeted K2 blackpearl Version
4.6.11
4.6.10
4.6.9
4.6.8
4.6.7
4.6.6
4.6.5
4.6.4
4.6.3
4.6.2
4.6.1
4.6
4.5 with latest update 08071 0807
K2 blackpearl
4.6.10
4.6.9
4.6.8
4.6.7 RC
check

4.6 check check

4.5 with Update KB001420 check

check

0807 with latest Update

check

check

08071
(KB 320,330,350,370)

check

check2

K2 blackpoint
4.6.4 check5

4.5

check

K2.net 2003
SP4

check4

check3 check3
None
Clean Install check

check

check

1 K2 blackpearl 0807 (4.8210.3.0) and K2 blackpearl 0807 Update (4.8210.2.450) have the same runtime functionality. Use the K2 blackpearl 0807 (4.8210.3.0) installer unless otherwise noted. For more information, please see the Installation Options article.
2 Requires K2 blackpearl 0807 Update (4.8210.2.450) KB000450. Use of K2 blackpearl 0807 (4.8210.3.0) installer for upgrade is not supported.
3 Requires use of the K2 blackpearl 0807 Migration Utility.
4 Requires use of the K2 blackpearl 4.5 Migration Utility, which is supported for migration to K2 blackpearl 4.5 with Update 1230.
5 See KB001386 for details on upgrading from blackpoint to blackpearl.

Top
32-bit/64-bit Compatibility

As of K2 blackpearl 4.6, the following components and platforms are supported:

  • Server Components (64-bit support only): K2 Server, K2 Databases, K2 for SharePoint, K2 Runtime Web Services, K2 Workspace, K2 for Reporting Services
  • Client Components (32-bit and 64-bit support): K2 Studio, K2 for Visual Studio, K2 Documentation
Top
Microsoft Windows1
Windows 10
Pro, Enterprise
Windows Server 2012 R2
Standard, Datacenter
Windows Server 2012
Standard, Datacenter
Windows Server 2008 R2
Standard, Enterprise
Windows Server 2008
Standard, Enterprise
Windows 8 Windows 7 Windows Vista

RTM

RTM

RTM

SP1

RTM

SP24

RTM (w/SP1)

8.1

8.0

SP1

RTM

SP2

SP1

Server Components1,2

4.6.11

check check check check check

check5

check5

check5

check5

4.6.10
4.6.9
4.6.8
4.6.7

check check check check

check5

check5

check5

check5

4.6.6
4.6.5
4.6.4
4.6.3

check

check

check

check

check5

check5

4.6.2
4.6.1
4.6

check

check

check

check5 check5
Client Components3

4.6.11

check

check

check check check check

check

check

check

check check check

4.6.10
4.6.9
4.6.8
4.6.7
4.6.6
4.6.5
4.6.4
4.6.3

check

check

check

check

check

check

check

check

check

check

check

4.6.2
4.6.1
4.6

check

check

check

check

check

check check

1 The default IIS version is supported for each supported version of Windows
2 Server Components: K2 Server, K2 for SharePoint, K2 Runtime Web Services, K2 Workspace, K2 Documentation
3 Client Components: K2 Studio, K2 for Visual Studio, K2 Documentation
4 Although we also support the base OS version on the latest service pack, K2 tests on the R2 versions. We recommend that customers upgrade to the R2 versions. Additionally, if you are installing K2 for SharePoint 2013, the SharePoint 2013 CSOM redistributable requires a minimum of Windows 2008 R2. Therefore, Windows Server 2008 SP2 is not supported for the K2 for SharePoint 2013 component.
5 K2 Server components are supported on desktop OS such as Windows 7 for developer licenses or console mode only.

Top
Microsoft SQL Server1,3
Azure SQL Server SQL Server 2014 SQL Server 2012
SQL Server 2008 R2
SQL Server 2008

RTM

SP2

SP1

RTM

SP3

SP2

SP1

RTM

SP4

SP32

SP2

SP1

RTM

4.6.11
4.6.10
4.6.9

check

check

check

check

check

check

check

check

check check

4.6.8

check

check

check check

check

check

check

check

4.6.7

check

check

check

check

check

check

check

4.6.6

check check

check

check

check

check

4.6.5
4.6.4
4.6.3
4.6.2
4.6.1

check

check

check

check

check

4.6

check

check

check

check
1 All editions of SQL Server are supported. SQL Clustering is supported. SQL AlwaysOn and SQL Mirroring are supported for single database scenarios only.
2 Although we also support the base SQL version with the latest service pack, K2 tests on the R2 versions. We recommend that customers upgrade to the R2 versions.
3 Latin1_General_CI_AS collation is required on the SQL server instance hosting the K2 database

Top
Microsoft Visual Studio
Visual Studio 2015
Professional, Enterprise
Visual Studio 2013
Premium, Ultimate, Professional
Visual Studio 2012
Premium, Ultimate, Professional
Visual Studio 2010
Premium, Ultimate, Professional

RTM

RTM

RTM

SP1

RTM

4.6.11

check

check

check

check

check

4.6.10
4.6.9
4.6.8
4.6.7

check

check

check

check

4.6.6
4.6.5

check

check

check

4.6.4
4.6.3

check1

4.6.2
4.6.1
4.6

check

check

1 Requires the K2 for Visual Studio 2012 additional component installer.
Top
Microsoft .NET Framework
.NET Framework 4.63 .NET Framework 4.0 / 4.5 .NET Framework 3.5

RTM

RTM2

SP11

RTM

4.6.11

check

check

check

4.6.10
4.6.9
4.6.8
4.6.7
4.6.6
4.6.5
4.6.4
4.6.3
4.6.2
4.6.1
4.6

check

check
1 .NET Framework 3.5 SP1 includes .NET Framework 2.0 SP1 and .NET Framework 3.0 SP1
2 K2 Web Sites and Application Pools must be .NET Framework version v2.0.50727
3 K2 supports .NET 4.6 framework that has a runtime version of v4.0, as defined by Microsoft (https://msdn.microsoft.com/en-us/library/w4atty68(v=vs.110).aspx). For example, .NET 4.5 and 4.6 are all considered v4.0 runtime versions and thus are all supported.
Top
Microsoft SharePoint Products and Technologies1,2,9
SharePoint Updates SharePoint 201311
Standard, Enterprise
SharePoint 20106
Foundation, Standard, Enterprise
MOSS 2007 Enterprise3,4,5 MOSS 2007 Standard3 Forms Server 20074 WSS v3.0

CU7

Online8,12

SP1

RTM

SP2

SP1

RTM

SP3

SP2
SP1
RTM

SP3

SP2
SP1
RTM

SP3

SP2
SP1
RTM

SP3

4.6.11

August 2015

check

check

check

check

check

check

check check check check

4.6.10

March 2015

check

check

check

check

check

check

check check check check

4.6.9

December 2014

check

check

check

check

check

check

check check check check

4.6.8

April 2014

check check

check

check check check check check check check

4.6.7

December 2013

check check

check

check check check check check check check

4.6.6

August 2013

check10

check check check check check check check

4.6.5

April 2013

check10

check

check

check

check

check

check

4.6.4

October 2012

check check check check check check check

4.6.3

August 2012

check

check check check check check check

4.6.2

June 2012

check

check

check

check

check

check

4.6.1
4.6

February 2012

check

check

check

check

check

check

* MOSS = Microsoft Office SharePoint Server; WSS = Windows SharePoint Services
1 All SharePoint Web Front Ends (WFEs) must have the same K2 components and all be either 32-bit or 64-bit servers
2 Forms and Claims Authentication in SharePoint Products and Technologies requires 4.5 with update 1390 or greater
3 Publishing and Records Management integration requires MOSS Standard or MOSS Enterprise
4 InfoPath Forms Services integration requires MOSS Enterprise or Office Forms Server and InfoPath 2007 designed forms
5 BDC integration requires MOSS Enterprise
6 Includes SharePoint 2010 Foundation, Standard and Enterprise
7 We test on the latest cumulative update available during the release cycle, for both SharePoint 2010 and SharePoint 2013.
8 SharePoint Online is a supported platform with the K2 for SharePoint App only. The SharePoint Content and SharePoint Management brokers no longer work with SharePoint Online due to authentication changes on that platform. Additionally, sites that were originally created in BPOS-S that were later migrated to SharePoint Online do not support the SharePoint App model and therefore are not supported by K2.
9 SharePoint must be on a supported Windows Operating System in order to be installed or upgraded to 4.6.
10 SharePoint 2013 sites in SharePoint 2010 mode only
11The K2 for SharePoint 2013 in 2010 mode component can be used with SharePoint 2013 Foundation Edition for sites in SharePoint 2010 mode only.
12The O365 editions supported include Business Essentials, Premium; Enterprise E1 or greater; Education E1 or greater; Government E1 or greater; SharePoint Online Standalone Plan 1 or greater.

Top

Microsoft Dynamics CRM
CRM 2015 CRM 2013 CRM 2011 CRM 4.0
(Workgroup, Professional, Enterprise)

Online

RTM

Online

RTM

Online

RTM

RTM

4.6.11
4.6.10
4.6.9

check

check check check1

check

check

check

4.6.8
4.6.7

check check1 check check check

4.6.6
4.6.5

4.6.4
4.6.3

4.6.2

check check check

4.6.1
4.6

check

1 Includes support for Update Rollup 1

Top
Oracle1
Oracle 12c Oracle 11g Oracle 10g Oracle 9i

Release 12

Release 22

Release 12

Release 22

Release 12

Release 22

4.6.11

check

check

check

check

check

check

4.6.10
4.6.9
4.6.8
4.6.7
4.6.6
4.6.5
4.6.4
4.6.3
4.6.2
4.6.1

check

check

check

check

check

1 Oracle is only supported through the use of the Dynamic Oracle Service Broker. It is not supported for the K2 Databases.
2 We use the ODP.NET data connector. Please refer to the Oracle Documentation for additional supported version information.
Top
Microsoft Exchange Server
Exchange Online Exchange 2013 Exchange 2010 Exchange 2007

SP1

RTM

SP3

SP2

SP1

RTM

SP3

SP2

RTM

4.6.11
4.6.10
4.6.9
4.6.8
4.6.7

check

check

check

check

check

check

check

check

4.6.6

check

check

check

check

check

check

check

4.6.5

check

check

check

check

4.6.4
4.6.3
4.6.2
4.6.1
4.6

check

check

check

check

Top
Microsoft Office InfoPath
InfoPath 2013 InfoPath 2010 InfoPath 20071

RTM

SP12

RTM

SP3

SP2

SP1

RTM

4.6.11
4.6.10
4.6.9
4.6.8
4.6.7
4.6.6
4.6.5

check3

check

check

check

check

4.6.4
4.6.3

check

check

check

check

4.6.2
4.6.1
4.6

check

check

check

1 InfoPath 2007 Managed Code Form Templates supported per product documentation
2 We do not test against cumulative updates on client software such as InfoPath
3 InfoPath 2013 Forms must be set to InfoPath 2010 compatibility mode in the form options
Top
DocuSign
DocuSign API Version1

Enterprise

4.6.11
4.6.10

REST API v2

1 The API version listed is what we tested against during the release cycle. See the third-party integration support plan for additional information.

Top
Browser
Edge Internet Explorer5 Silverlight Other web browsers

11

102,5

95

83,5

5

41

4.6.11
4.6.10
4.6.9

check4

check

check

check

check

4.6.8
4.6.7
4.6.6
4.6.5
4.6.4
4.6.3

check

check

check3

check

check

4.6.2
4.6.1
4.6

check

check3

check

check

1 Minimum required version for Silverlight is 4.0.50917.0
2 Plug-in support is only available in Internet Explorer on the desktop, and this version of Internet Explorer 10 must be used for items built on Silverlight, such as the K2 Workflow Designer.
3 IE 8 support is limited to end-user runtime execution only – K2 workspace (Home Page, Reports Runtime, Worklist and Single Sign-On) and K2 web parts. Issues that have no workaround and cause the end-user pages to not function can be addressed through support. Display and styling issues will not be addressed
4 K2 Workspace must be run in IE 11 compatibility mode. See KB001578 for details.
5 Microsoft ended support for IE 8 through 10 on 12 January 2016. Please see http://help.k2.com/news/iesupport for more details on what this means for K2 support.

Top
Microsoft Management Console1
Microsoft Management Console (MMC)

3.0

2.0

1.2

K2 Package and Deployment RTM (4.13210.1.0) or greater

check

1 Required for the K2 Package and Deployment component, an additional component that can be installed on K2 blackpearl 4.6.6

Top
PowerShell1
PowerShell

4.0

3.0

2.0

1.0

K2 blackpearl 4.6.10 or 4.6.11

check

K2 Package and Deployment RTM

check

1 Required for the K2 Package and Deployment component for scripted deployments, K2 Server and the K2 for SharePoint Installer

Top
Language

K2 blackpearl 4.6.11 1 K2 blackpearl 4.6.10 1
K2 blackpearl 4.6.9 1
Prior K2 blackpearl versions

English

check

check

check

German

check

check

French

check

check

Simplified Chinese

check

check

Traditional Chinese

check

check

Afrikaans

check

check

Spanish

check

Portugese

check

Italian

check

Hebrew

check

Czech

check

1 The K2 Language Pack is an add-on component that enables cultural adaptation and translation of non configurable elements. The K2 Language Pack allows for the standard SmartForms controls, the controls available in the SmartForms Control Pack as well as the K2 View Flow report and elements of the K2 Designer to display correctly in different languages.

In addition, we support installation on any language Operating System, and data can be in any language. You can, of course, localize InfoPath forms or SharePoint lists/libraries. You can also modify the notification event template to "translate" the message into any language.

There is one K2 component, the K2 Worklist Web Part, that is open source and can be translated if required. The code is available on blackmarket on the K2 Underground. NOTE: Once modified, the Web Part becomes custom code and is no longer supported.

K2 blackpearl provides full support for all language Operating Systems, which allows K2 to run in English on non-English platforms. Full testing on non-English platforms include the following components:1

English (Worldwide) Chinese (Traditional and Simplified) German French

Windows Server 2008 R2

check

check

check

check

SQL Server 2012

check

check

check

check

SharePoint 2010 (WSS / Foundation)

check

check

check

check

Visual Studio 2012, 2013 or 2015

check

check

check

check

Internet Explorer 10

check

check

check

check

1 For all items, see the specific compatibility matrix sections above for supported versions.

Top